Skip to main content
GET
/
api
/
v1
/
merchant-connectors
/
{connector}
/
installation-link
JavaScript
import CheckoutIntents from 'checkout-intents';

const client = new CheckoutIntents({
  apiKey: process.env['CHECKOUT_INTENTS_API_KEY'], // This is the default and can be omitted
});

const installationLink = await client.merchantConnectors.createInstallationLink('shopify', {
  storeUrl: 'storeUrl',
});

console.log(installationLink.connector);
{
  "url": "<string>",
  "connector": "shopify"
}

Documentation Index

Fetch the complete documentation index at: https://docs-test.rye.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Rye API key

Path Parameters

connector
enum<string>
required

The merchant connector to generate an installation link for A merchant connector is a Rye integration with a third-party merchant platform (e.g. Shopify) that lets developers onboard merchants to Rye. Today only Shopify is supported; this union expands as we add support for additional connectors (Woocommerce, BigCommerce, etc.).

Available options:
shopify

Query Parameters

storeUrl
string
required

Domain or URL of the merchant store to generate the installation link for

private
boolean

If true, the merchant onboarded via this link is exclusive to the calling developer

Response

OAuth authorization URL for the requested connector

A merchant connector installation link.

url
string
required

URL to redirect the merchant to in order to install the Rye app on their merchant platform.

connector
enum<string>
required

The merchant connector this installation link was generated for.

Available options:
shopify